ELF_GETBASE(3)

NAME
elf_getbase - Retrieve the base offset for an ELF object file.

SYNOPSIS
#include <libelf.h> int64_t elf_getbase(Elf *elf);

DESCRIPTION
elf_getbase returns the file offset of the first byte of the ELF descriptor elf. If elf is a member of an archive and has ELF kind ELF_K_AR, the base offset is the offset of the ELF object within the archive. For other ELF object types the base offset is 0.

PARAMETERS

elf The ELF descriptor.

RETURN VALUE
Return the base offset of elf if its ELF kind is ELF_K_AR, otherwise return 0. If elf is NULL, return -1.

SEE ALSO
elf_getaroff(3), elf_rawelf(3), libelf(3), elf(5)

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.